[CentOS-devel] deltarpm and presto for centos

Farkas Levente lfarkas at lfarkas.org
Sun Nov 15 18:30:48 UTC 2009


On 11/14/2009 05:59 PM, Jonathan Dieter wrote:
> On Sat, 2009-11-14 at 16:08 +0100, Farkas Levente wrote:
>> hi
>> what's the current status of deltarpms and presto for centos? i'm just
>> rebuild deltarpms, presto-utils, yum-presto packages from fedora for
>> centos. is there any plan to add them to centos extras? what's the
>> current state? i'm interested about not just using but generating
>> deltarpms enabled repositories. imho it can save a lot's of bandwith for
>> everybody (not to mention if presto will use google's courgette
>> algorithm too).
>> thanks in advance.
>>
> 
> FWIW, deltarpm is already in EPEL and I don't mind putting yum-presto
> there as well (though both would probably be better served in CentOS
> extras if we want CentOS to use them).
> 
> There are currently test CentOS 5.4 repositories with deltarpms at
> http://lesloueizeh.com/centos5 (though they get updated manually, which
> means not too frequently).

ok let make things more specific:

deltarpm in epel 3.4-8.el5.1 while in fedora 3.5-0.4.20090913git is
there any significant/relevant changes? when do you plan 3.5 release?

i'd be useful to add yum-presto to epel too. at the same time which
version required by yum-presto? in rhel/centos-5 yum-3.2.22 included,
but i read somewhere (and i can't find now where) that at least
yum-3.2.23 required. so what's the correct version?

also a presto-utils would be useful in epel. rebuilding from fedora
presto-utils-0.3.4-3 gives this error:
--------------------------------------
byte-compiling
/var/tmp/presto-utils-0.3.4-3.el5-root-lfarkas/usr/lib/python2.4/site-packages/presto-utils/deltarpmd.py
to deltarpmd.pyc
  File "/usr/lib/python2.4/site-packages/presto-utils/deltarpmd.py", line 98
    class Builder():
                  ^
SyntaxError: invalid syntax
--------------------------------------
while running:
--------------------------------------
# createdeltarpms . drpms
/usr/bin/python: module presto-utils.gendeltarpms not found
--------------------------------------
gives the above error on centos-5.4

it's be useful to be at least a minimal manual how we can use these
tools and and who we can generate deltarpms.


> As for presto and courgette, I'll respond to that at:
> https://bugzilla.redhat.com/show_bug.cgi?id=512515

ok i respond there too.

-- 
  Levente                               "Si vis pacem para bellum!"


More information about the CentOS-devel mailing list